org.gradle.api.attributes

## Interface Usage

- All Superinterfaces:
    Named

      @Incubating
      public interface Usage
      extends Named

  Represents the usage of a configuration. Typical usages include compilation or runtime. This interface allows the user to customize usages by implementing this interface.
  Since:
    3.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Usage` | `FOR_COMPILE`
    `static Usage` | `FOR_RUNTIME`
    `static Attribute<Usage>` | `USAGE_ATTRIBUTE`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Field Detail

    - #### USAGE_ATTRIBUTE

          static final Attribute<Usage> USAGE_ATTRIBUTE

    - #### FOR_COMPILE

          static final Usage FOR_COMPILE

    - #### FOR_RUNTIME

          static final Usage FOR_RUNTIME